Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdEdgesVisualizationStream Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
RtDWORD | GetNumEdges (void)
HRESULT | SetNumEdges ([in] RtDWORD dwNumEdges)
HRESULT | v1_color ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | v1_color ([in] RtDWORD dwIndex,[in] RtUlong newVal)
HRESULT | v2_color ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | v2_color ([in] RtDWORD dwIndex,[in] RtUlong newVal)
HRESULT | v3_color ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | v3_color ([in] RtDWORD dwIndex,[in] RtUlong newVal)

## Detailed Description

IRdEdgesVisualizationStream per edge mesh colors The stream is part of IRdMesh and is stored in Triangle stream group. Stream is identified by STREAMID_EDGES_VISUALIZATION id.

## Member Function Documentation

RtDWORD IRdEdgesVisualizationStream::GetNumEdges | ( | void |  | ) |

| Get number of triangles Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgesVisualizationStream::SetNumEdges | ( | [in] RtDWORD | dwNumEdges | ) |

| Set number of triangles Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgesVisualizationStream::v1_color | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

  | Get color for edge 1-2 Parameters:
  dwIndex | Triangle index
  pVal | Edge color
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgesVisualizationStream::v1_color | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

  | Set color for edge 1-2 Parameters:
  dwIndex | Triangle index
  newVal | Edge color
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgesVisualizationStream::v2_color | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

  | Get color for edge 2-3 Parameters:
  dwIndex | Triangle index
  pVal | Edge color
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgesVisualizationStream::v2_color | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

  | Set color for edge 2-3 Parameters:
  dwIndex | Triangle index
  newVal | Edge color
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgesVisualizationStream::v3_color | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

  | Get color for edge 3-1 Parameters:
  dwIndex | Triangle index
  pVal | Edge color
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgesVisualizationStream::v3_color | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

  | Set color for edge 3-1 Parameters:
  dwIndex | Triangle index
  newVal | Edge color
Returns: standard HRESULT processing can be applied to returned value